Bug 1001567 - Configure JPA persistence for data models
Configure JPA persistence for data models
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
6.0.3
Unspecified Unspecified
low Severity low
: ER4
: 6.2.0
Assigned To: Walter Medvedeo
Jiri Locker
Dawn Eisner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 06:07 EDT by Pedro Zapata
Modified: 2016-10-14 10:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: See comments. Reason: Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Zapata 2013-08-27 06:07:03 EDT
Improve data modeler to provide at least a basic configuration for JPA persistant entities, and make/test all modifications to engines to make sure they are supported for non-global classes (not in the global classloader)

This should already be possible, using pluggable variable persistence, and we have an implementation for JPA entities already. That means that the engine will not save the entity as part of the process instance state but save / load it from separate entity tables. We might >have to look at extending the configuration options (to persist using a different data source for example).

This feature is not in 6.0.
Comment 1 Pedro Zapata 2013-09-27 12:03:44 EDT
This is feature for 6.1.
Comment 2 Vikram Goyal 2015-04-05 01:42:57 EDT
Setting requires_doc_text to - as this is a new feature in 6.1, not something that requires documenting as a known issue.
Comment 4 Jiri Locker 2015-10-26 07:54:44 EDT
Yes, the feature is there.

Note You need to log in before you can comment on or make changes to this bug.